## tetex-bin 0.9.981113

=== texk/web2c/pdftexdir/xpdf-0.7a/goo/Makefile ===
# Generated automatically from Makefile.in by configure.
#========================================================================
#
# Goo library Makefile
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

CFLAGS = -g -O2  -DHAVE_DIRENT_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_POPEN=1 -DHAVE_LIBXPM=1   -I.
CXXFLAGS = -g -O2  -DHAVE_DIRENT_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_POPEN=1 -DHAVE_LIBXPM=1   -I.

# CC = gcc
# CXX = c++
# AR = ar rc
# RANLIB = ranlib

CC = dos-gcc
CXX = dos-gcc
AR = dos-ar rc
RANLIB = dos-ranlib

LIBPREFIX = lib

#------------------------------------------------------------------------

GOO_CXX_OBJS = GString.o gmempp.o gfile.o
GOO_C_OBJS = gmem.o parseargs.o
GOO_OBJS = $(GOO_CXX_OBJS) $(GOO_C_OBJS)

$(LIBPREFIX)Goo.a: $(GOO_OBJS)
	rm -f $(LIBPREFIX)Goo.a
	$(AR) $(LIBPREFIX)Goo.a $(GOO_OBJS)
	$(RANLIB) $(LIBPREFIX)Goo.a

#------------------------------------------------------------------------

clean:
	rm -f $(GOO_OBJS) $(LIBPREFIX)Goo.a
	rm -f Makefile.bak

#------------------------------------------------------------------------

depend:
	$(CXX) $(CXXFLAGS) -M $(GOO_CXX_OBJS:.o=.cc) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' |\
	  grep -v '^ \\$$' >Makefile.dep
	$(CC) $(CFLAGS) -M $(GOO_C_OBJS:.o=.c) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' |\
	  grep -v '^ \\$$' >>Makefile.dep

include Makefile.dep
