## tetex-bin 1.0.7+20011202-7.3

=== debian/changelog ===
tetex-bin (1.0.7+20011202-7.3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backported more fixes for several integer overflows in the xpdf
    library included in tetex-bin, thanks to Frank Kster
    <frank@debian.org> [libs/xpdf/xpdf/XRef.cc]
  * Changed arguments to size_t instead of int for several functions
    [libs/xpdf/goo/gmem.c, libs/xpdf/goo/gmem.h]

 -- Frank Kster <frank@debian.org>  Tue, 23 Nov 2004 14:40:38 +0100

tetex-bin (1.0.7+20011202-7.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied modified patch by Sebastian Krahmer to fix several integer
    overflows discovered by Chris Evans (thanks to Frank Kster)
    [libs/xpdf/xpdf/Catalog.cc, libs/xpdf/xpdf/XRef.cc, CAN-2004-0888]

 -- Martin Schulze <joey@infodrom.org>  Fri, 29 Oct 2004 08:15:29 +0200

tetex-bin (1.0.7+20011202-7.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed a command execution vulnerability in dvips and xdvi (Thanks Olaf Kirch)
  * Add special detection routine for big/little endianess on MIPS since
    the line "byteorder  : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.  Added to {config,texk}/config.guess.

 -- Martin Schulze <joey@infodrom.org>  Thu, 21 Nov 2002 09:38:09 +0100

tetex-bin (1.0.7+20011202-7) unstable; urgency=high

  * Added a test to check whether $filename is defined to xdvi-sh; if not,
    we don't specify $filename on the command line (Closes: #144435)  [cmc]
  * Updated Standards-Version to 3.5.6.0 [cmc]
  * Added code to rules file to link to manpage for kpsetool from
    kpsepath.1 and kpsexpand.1 [cmc]
  * Added update-fmtutil.8 and update-texmf.8 to dh_undocumented line in
    rules file [cmc]
  * Changed Source package Priority to optional [cmc]
  * Should go into woody

 -- C.M. Connelly <cmc@debian.org>  Fri, 26 Apr 2002 10:51:08 -0700

tetex-bin (1.0.7+20011202-6) unstable; urgency=medium

  * Removed ``!!'' from heads of $TEXMFLOCAL and $TEXMFOLDLOCAL in
    texmf.d/05TeXMF, which eliminates the need for an ls-R file in
    /usr/local/share/texmf or /usr/local/lib/texmf
  * Modified debian/cron.daily to not create or update ls-R files in
    /usr/local unless the sysadmin manually changes a variable (with the
    previous change, closes: #141086)
  * fix xdvi wrapper (xdvi-sh) so that it rereads a dvi with SIGUSR1 and also
    can handle spaces in file names.  (closes: #95662, #138161, #139028)
  * add libxaw7-dev to Build-Depends field.  (closes: #131638)
  * fix epstopdf (closes: #131570)
  * a bit more robust update-texmf and update-fmtutil.
  * update the Uploaders: entry.
  * The first two fixes were done by [cmc@debian.org] and the rest were
    by [kohda@debian.org].
  * Improved postinst {texmf,fmtutil}.cnf reorganisation handling (don't
    overwrite saved .dpkg-old files on every upgrade!) [jdg]
  * Bail out of postinst immediately if we are not configuring [jdg]
  * introduce new postinst and postrm code to handle the pk/tfm/etc
    directories [jdg]
  * fix mkindex.1 overwriting makeindex.1 bug (closes: #132620) [jdg]

 -- Atsuhito KOHDA <kohda@debian.org>  Sat, 13 Apr 2002 19:25:51 +0900

tetex-bin (1.0.7+20011202-5.1) unstable; urgency=high

  * stop to install texmf.cnf as a real file but, instead, install separated
    files in texmf.d/* and run update-texmf to generate texmf.cnf
    Accordingly we modified texconfig so that it will modify 05TeXMF instead
    of texmf.cnf directly.  So remove texmf.cnf from conffiles and add 
    separated counterparts.  (closes: #69600, #133200)  [kohda@debian.org]
  * stop to install fmtutil.cnf as a real file but, instead, install it in
    fmt.d/00tetex.cnf and run update-fmtutil to generate fmtutil.cnf
    So remove fmtutil.cnf from conffiles.  (closes: #64914)  [kohda@debian.org]
  * change TEXMFLOCAL to /usr/local/share/texmf and also add TEXMFOLDLOCAL
    for consistency.  (closes: #75265)  [kohda@debian.org]
  * modify rules so that it removes texk/web2c/pdftexdir/Makefile 
    (closes: #133128)  [kohda@debian.org]
  * fix xdvi wrapper (xdvi-sh) so it can decompress *.Z files now.
    (closes: #138791)  [kohda@debian.org]
  * fix cron.daily so that it will update all necessary directories.
    (closes: #90691)  [kohda@debian.org]

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 11 Mar 2002 15:13:20 +0900

tetex-bin (1.0.7+20011202-5) unstable; urgency=high

  * call restore-symlinks with sh to make buildd's happy

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  3 Mar 2002 19:39:51 +0100

tetex-bin (1.0.7+20011202-4) unstable; urgency=high

  * fix texdoc background behaviour (closes: #129009, #135737)
  * add /var/spool/texmf/ directories on install again (closes: #133934)
  * add texi2html to recommends (closes: #87699)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  3 Mar 2002 10:15:47 +0100

tetex-bin (1.0.7+20011202-3.1) unstable; urgency=low

  * NMU
  * Fix implicit-decl problem, patch in bts.  Closes: #126617

 -- LaMont Jones <lamont@debian.org>  Thu, 31 Jan 2002 10:45:16 -0700

tetex-bin (1.0.7+20011202-3) unstable; urgency=low

  * change vardir in original texmf.cnf so that we don't have to change it
    via texconfig while installing or upgrading. (closes: #69600)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sat, 19 Jan 2002 09:17:10 +0100

tetex-bin (1.0.7+20011202-2) unstable; urgency=high

  * Install mpto correctly. (closes: #123233)
  * Correct the priorities of tetex-bin and libkpathsea3 from
    standard to optional in debian/control.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 10 Dec 2001 15:39:15 +0100

tetex-bin (1.0.7+20011202-1) unstable; urgency=high

  * New upstream release.
    - xdvi now gives an error message on "xdvi file.pdf" and
      "xdvi file.ps". (closes: #59346, #73672)
  * Dont't compile with "--with-system-wwwlib" because it's

