## tetex-bin 1.0.7+20011202-7.7

=== debian/changelog ===
tetex-bin (1.0.7+20011202-7.7) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added more precautionary checks by Dirk Mller [libs/xpdf/xpdf/Stream.cc]

 -- Martin Schulze <joey@infodrom.org>  Thu, 15 Dec 2005 17:29:52 +0100

tetex-bin (1.0.7+20011202-7.6) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added more precautionary checks by Martin Pitt

 -- Martin Schulze <joey@infodrom.org>  Mon, 12 Dec 2005 08:50:32 +0100

tetex-bin (1.0.7+20011202-7.5) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Adjusted the former patch
  * Applied missing bit found by Ludwig Nussel

 -- Martin Schulze <joey@infodrom.org>  Fri,  9 Dec 2005 11:10:16 +0100

tetex-bin (1.0.7+20011202-7.4) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backported patch from xpdf upstream to fix buffer overflows
    [libs/xpdf/xpdf/Stream.cc, libs/xpdf/xpdf/Stream.h, CAN-2005-3191]

 -- Martin Schulze <joey@infodrom.org>  Thu,  8 Dec 2005 10:28:58 +0100
