=== debian/control ===
Source: tetex-bin
Section: tex
Priority: optional
Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper (>= 3.0.6), ed, libpng2-dev, zlib1g-dev, xlibs-dev, libxaw7-dev | libxaw-dev, m4, flex, bison, tetex-base, libtiff3g-dev, libwww-dev (>= 5.3.2-2)

Package: tetex-bin
Priority: optional
Architecture: any
Replaces: texbin, xdvik, mflib, kpathsea, makeindex, ps2pk, latex, tetex-base, texidoc
Conflicts: texbin, xdvik, mflib, kpathsea, makeindex, ps2pk, latex, nextawg (<= 0.5.1-34), nextaw (<< 0.8-2)
Provides: tex, latex, dvips, dvipsk, xdvi, metafont
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, tetex-base (>= 1.0.2+20011202-1), ed, debianutils (>= 1.13.1)
Suggests: lpr, gs | gs-aladdin, postscript-viewer, pdf-viewer, tetex-extra, texinfo, perl-tk
Recommends: dialog, psutils, texi2html
Description: teTeX binary files
 This is teTeX (version 1.0), a TeX distribution for UNIX compatible
 systems.
 .
 These are all the binaries for the teTeX system.
 You need at least tetex-base together with it.
 .
 Includes: ps2pk, dvilj, amstex, dvips, texbin, bibtex, xdvi, makeindex,
           latex, kpathsea, mfbin, amslatex

Package: libkpathsea3
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: tetex-lib
Replaces: tetex-lib
Provides: tetex-lib
Description: shared libkpathsea for teTeX
 Custom shared kpathsea library to run tex binaries for teTeX

Package: libkpathsea-dev
Section: devel
Priority: optional
Architecture: any
Depends: tetex-bin, libkpathsea3 (= ${Source-Version})
Conflicts: kpathsea-dev, tetex-dev
Replaces: kpathsea-dev, tetex-dev
Description: kpathsea.a and include files for teTeX
 Custom kpathsea library to build tex binaries for teTeX
