=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=tetex-bin

build:
#	$(checkdir)
	dh_testdir
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks
	./configure --prefix=/usr --enable-ipc --without-dialog --without-texinfo --with-system-ncurses --with-x --with-system-zlib --with-system-pnglib --with-system-tifflib --disable-multiplatform --enable-shared --mandir='$${prefix}/share/man' --infodir='$${datadir}/info'
	make
	touch build

clean:
#	$(checkdir)
	dh_testdir
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks
	dh_testroot
	-rm -f build
	-make distclean
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* 
	-rm -f debian/*substvars
	-rm -f libs/ncurses/man/edit_man.sed
	-rm -f config.cache libs/libtiff/mkversion
	-cd libs/libtiff && make distclean
	-rm -f texk/web2c/pdftexdir/Makefile
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uplo/shareated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
#	$(checkdir)
	dh_testdir
	dh_testroot
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
#tetex-bin install
	make install prefix=`pwd`/debian/tmp/usr texmf=`pwd`/debian/tmp/usr/share/texmf
	make strip prefix=`pwd`/debian/tmp/usr
	# move web2c to var
	cp -a debian/tmp/usr/share/texmf/web2c debian/tmp/var/lib/texmf
	rm -fr debian/tmp/usr/share/texmf/web2c
	(cd debian/tmp/usr/share/texmf/; ln -s /var/lib/texmf/web2c .)
	rm -f debian/tmp/usr/share/info/dir*
	rm -f debian/tmp/usr/share/texmf/dvips/gsftopk/render.ps
	rm -fr debian/tmp/usr/share/texmf/dvips/base
	rm -fr debian/tmp/usr/share/texmf/dvips/config
	rm -fr debian/tmp/usr/share/texmf/fontname
	rm -fr debian/tmp/usr/share/texmf/tex/plain/dvips
	rm -f debian/tmp/usr/share/man/man1/tie.1.nroffed
	ln -s tex.1 debian/tmp/usr/share/man/man1/frlatex.1
	ln -s tex.1 debian/tmp/usr/share/man/man1/frtex.1
	ln -s kpsetool.1 debian/tmp/usr/share/man/man1/kpsepath.1
	ln -s kpsetool.1 debian/tmp/usr/share/man/man1/kpsexpand.1
	ln -s dvicopy.1 debian/tmp/usr/share/man/man1/odvicopy.1
	ln -s dvitype.1 debian/tmp/usr/share/man/man1/odvitype.1
	ln -s tangle.1 debian/tmp/usr/share/man/man1/otangle.1
	ln -s dvips.1 debian/tmp/usr/share/man/man1/odvips.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj2p.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj4.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj4l.1
#	ln -s pdftex.1 debian/tmp/usr/share/man/man1/pdfetex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfelatex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfeinitex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfevirtex.1
	ln -s mf.1 debian/tmp/usr/share/man/man1/mfw.1
	ln -s mf.base debian/tmp/var/lib/texmf/web2c/mfw.base
	ln -s tex debian/tmp/usr/bin/amstex
	ln -s tex debian/tmp/usr/bin/latex
	ln -s etex debian/tmp/usr/bin/elatex
	ln -s omega debian/tmp/usr/bin/lambda
	ln -s pdftex debian/tmp/usr/bin/pdflatex
	ln -s pdfetex debian/tmp/usr/bin/pdfelatex
	mv debian/tmp/usr/bin/xdvi.bin debian/tmp/usr/bin/xdvi.real
	mv debian/tmp/usr/bin/oxdvi.bin debian/tmp/usr/bin/oxdvi.real
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/xdvi.bin.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/xdvi.real.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.bin.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.real.1
#	mkdir -p debian/tmp/usr/lib/xaw-wrappers/config
#	cp debian/xaw-wrappers debian/tmp/usr/lib/xaw-wrappers/config/tetex-bin
	m4 debian/tetex-preinst.m4 > debian/preinst
	rm -f debian/tmp/usr/bin/info
	rm -f debian/tmp/usr/bin/install-info
	rm -f debian/tmp/usr/info/info*
	rm -f debian/tmp/usr/bin/readlink
	rm -f debian/tmp/usr/share/man/man1/readlink.1
	rm -f debian/tmp/usr/bin/texi2html
	rm -f debian/tmp/usr/share/man/man1/texi2html.1
	(cd debian/tmp/usr/sbin/; ln -s ../bin/texconfig .)
	cp debian/dvi2fax.1 debian/tmp/usr/share/man/man1/
	cp debian/dvihp.1 debian/tmp/usr/share/man/man1/
	cp debian/dvitomp.1 debian/tmp/usr/share/man/man1/
	cp debian/epstopdf.1 debian/tmp/usr/share/man/man1/
#	cp debian/makeinfo.1 debian/tmp/usr/share/man/man1/
#	ln -s makeinfo.1 debian/tmp/usr/share/man/man1/texi2dvi.1
#	ln -s makeinfo.1 debian/tmp/usr/share/man/man1/texindex.1
#	update-texmf stuffs #########
	rm -f debian/tmp/var/lib/texmf/web2c/texmf.cnf
	cp -R texmf.d debian/tmp/etc/texmf
	install -m 755 debian/update-texmf debian/tmp/usr/sbin
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/texmf.cnf .)
#	update-fmtutil 
	mv debian/tmp/var/lib/texmf/web2c/fmtutil.cnf debian/tmp/etc/texmf/fmt.d/00tetex.cnf
	install -m 755 debian/update-fmtutil debian/tmp/usr/sbin
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/fmtutil.cnf .)
	install -m 644 texk/kpathsea/mktex.cnf debian/tmp/etc/texmf/
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/mktex.cnf .)
	install -m 644 debian/mime debian/tmp/usr/lib/mime/packages/tetex-bin
#libkpathsea-dev installer
	mkdir -p debian/libkpathsea-dev/usr/share/doc
	(cd debian/libkpathsea-dev/usr/share/doc; ln -s tetex-bin libkpathsea-dev)
#libkpathsea3 install
	mkdir -p debian/libkpathsea3/usr/share/doc/libkpathsea3
#	install debian/README.debian debian/tetex-lib/usr/share/doc/tetex-lib/
#	install debian/copyright debian/tetex-lib/usr/share/doc/tetex-lib/
#	(cd debian/tetex-lib/usr/share/doc; ln -s tetex-bin tetex-lib)
#	debstd -u -m
	dh_installdirs
	dh_installdocs -ptetex-bin -plibkpathsea3
	dh_installexamples
	dh_installchangelogs -ptetex-bin -plibkpathsea3 ChangeLog
	dh_installmenu
	dh_installcron
	dh_installman new-manpages/[a-z]*
	dh_undocumented fdf2tan.1 makempy.1 mptopdf.1 omfonts.1 texfont.1 update-fmtutil.8 update-texmf.8
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -V
	dh_installdeb
	dh_md5sums
	dh_builddeb
#	dpkg-gencontrol -ptetex-bin
#	chown -R root.root debian/tmp
#	chmod -R go=rX debian/tmp
#	dpkg --build debian/tmp ..
	echo -e -n "\a"

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
