## tetex-bin 3.0-30maemo2%2b0m5

=== debian/changelog ===
tetex-bin (3.0-30maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 23 Feb 2010 12:08:58 +0200

tetex-bin (3.0-30maemo2) unstable; urgency=low

  * removed a couple of commercially offensive files
    tetex-src-3.0/texk/xdvik/psheader.txt
    tetex-src-3.0/texk/dvipsk/special.lpro
  * Fixes: NB#157352

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Feb 2010 13:12:20 +0200

tetex-bin (3.0-30maemo1) unstable; urgency=low

  * Specify format/configuration dirs manually
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 31 Mar 2008 17:19:20 +0300

tetex-bin (3.0-30) unstable; urgency=low

  * The timezone patch from the last upload was wrong for 64bit
    architectures.  Applied corrected patch from upstream, thanks to
    Martin Michlmayr <tbm@cyrius.com> (closes: #409517) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 15 Feb 2007 12:54:16 +0100

tetex-bin (3.0-29) unstable; urgency=low

  * Apply a patch from upstream (Mark A. Wicks) to prevent dvipdfm from
    crashing when called in a time zone having an offset from GMT, which is
    not an integer number. (Closes: #291438) [hilmar]

 -- Frank Küster <frank@debian.org>  Wed, 10 Jan 2007 01:49:56 +0530

tetex-bin (3.0-28) unstable; urgency=low

  * mktexlsr: print a useful message instead of "no" when called by root
    with no arguments (closes: #402763).
  * mktexlsr.man: document the change due to the patch closing bug #294197
    (cf. first changelog entry for 3.0-27).

 -- Florent Rougon <frn@debian.org>  Wed, 27 Dec 2006 23:22:03 +0100

tetex-bin (3.0-27) unstable; urgency=low

  * Apply patch by Julian Gilbey <jdg@debian.org> to prevent mktexlsr from
    creating ls-R in root's home directory (closes: #294197)
  * Add a missing hunk for the patch in the last upload, this should
    really make texdoctk work

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 23:38:51 +0100

tetex-bin (3.0-26) unstable; urgency=low

  * Hardcode the two possible TEXMFDIST paths in texdoctk.  This makes it
    work again if tetex-doc and one texlive-doc-* package are installed at
    the same time.  Thanks to Braun Gabor <braung@renyi.hu> for reporting
    and Ralf Stubner <ralf.stubner@web.de> for ideas for fixing this
    (closes: #400058)

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 22:19:02 +0100

tetex-bin (3.0-25) unstable; urgency=low

  * Simplify README.Debian, it now just points to tex-common's "TeX on
    Debian" document, and is no longer registered with doc-base.

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 14:26:00 +0100

tetex-bin (3.0-24) unstable; urgency=high

  * Apply patch from upstream to pdftex that allows it to work properly
    with CJK fonts with their large number of subfonts.  Many thanks to
    Thanh Han The <hanthethanh@gmail.com>, Jie Luo
    <luojie@nlsde.buaa.edu.cn> for the patch and many others for
    debugging. 
    This fixes a FTBFS bug in debian-reference and closes: #399897, hence
    the urgency
  * Write a proper manpage for texconfig, and document which commands
    make sense to be used on a Debian system.  Thanks to Géraud Meyer
    <geraud_meyer@hotmail.com> for reminding us (closes: #396823)
  * Make "texconfig faq" find the teTeX faq

 -- Frank Küster <frank@debian.org>  Fri, 24 Nov 2006 15:28:51 +0100

tetex-bin (3.0-23) unstable; urgency=low

  * Include in pdftex a simple one-line-patch from upstream to allow
    inclusion of TrueType fonts (closes: #394028) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 19 Oct 2006 07:48:44 +0200

tetex-bin (3.0-22) unstable; urgency=low

  * Restrict the compile-time search path for texmf.cnf to directories
    that in fact exist on a Debian system, thanks to Toby Speight
    <T.M.Speight.90@cantab.net> (closes: #392195) [frank]
  * Source debianize-updmap at the proper place in updmap, so that
    syncWithTrees() gets overloaded by the version in debianize-updmap.
    Additionally, patch updmap so that using it with --edit doesn't wreak
    havoc on Debian systems. Using --edit will call
    debianEditWarnAndShow() from debianize-updmap, hence tetex-bin has to
    depend on tex-common (>= 0.34).
    Closes: #392573, #334747. [frank, florent]
  * Install xdvi's README.t1fonts (closes: #353889) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 18 Oct 2006 15:35:09 +0200

tetex-bin (3.0-21) unstable; urgency=medium

  * Really load the debianize-updmap script from tex-common (closes:
    #392105) [frank]

 -- Frank Küster <frank@debian.org>  Tue, 10 Oct 2006 15:07:21 +0200

tetex-bin (3.0-20) unstable; urgency=medium

  * In postinst, generate language.dat every time before recreating
    formats.  This is needed to prevent failures in format creation when a
    package with language information is installed or upgraded in the same
    dpkg run.  Thanks to Ralf Stubner for noticing [frank]
  * Fix updmap to properly work with --enable and --disable, and load the
    debianize-updmap script from tex-common [frank]
  * The postinst script now uses a script in tex-common to handle the
    configuration file for format generation [frank]

 -- Frank Küster <frank@debian.org>  Mon,  9 Oct 2006 10:28:11 +0200

tetex-bin (3.0-19) unstable; urgency=low

  * Fix typo in the changelog entry of 3.0-17, s/nonexitant/nonexistent/. [frank]
  * Install documentation in /usr/share/doc/tetex-doc/tetex, not in
    TEXMFMAIN [frank]
  * Do not try to call install-info during package build [frank]
  * Apply the patch to fix a possible texdoctk crash. (closes: #351559)
    Thanks to Niko Tyni <ntyni@iki.fi> for investigation! [hilmar-guest]
  * Update changelog for 3.0-14. We forgot to close two bugs. [hilmar-guest]
  * Again fix dangling symlink of mfw.base, thanks to Ian Zimmerman
    <nobrowser@gmail.com> (closes: #377093) [hilmar]

