## tetex-bin 3.0-30maemo2+0m5

=== debian/control ===
Source: tetex-bin
Section: tex
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.1.16), ed, libpng12-dev, zlib1g-dev, libxaw7-dev, flex, bison, libt1-dev (>= 5.0.0-3), autotools-dev, libpaper-dev, texinfo, eperl, debiandoc-sgml, quilt, libpoppler-dev, libjpeg62-dev | libjpeg-dev, libgd2-xpm-dev

Package: tetex-bin
Priority: optional
Architecture: any
Replaces: texidoc, dvipdfm, cweb, ctie, texdoctk
Conflicts: dvipdfm, alml (<< 2002.08.29-4), jbibtex-bin (<< 3.0.5+0.04-2), jtex-bin (<= 1.8-5.1), passivetex (<< 1.21-5), ptex-bin (<< 3.0.5+0.04-2), xmltex (<< 1.9-4), cweb (<< 3.64.debian-1), ctie (<< 1.1.debian.1), arabtex (<= 3.10-5), tetex-base (<< 2.96.1), tetex-extra (<< 2.96.1), jadetex (<= 3.13-3), aleph (<< 1:0), xmltex (<= 1.9-10)
Provides: dvipdfm, cweb, ctie, texdoctk
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, tetex-base (>= 3.0-4), ed, debianutils (>= 1.13.1), mime-support, sed (>= 4.0.5), ucf (>= 1.02), dialog | whiptail, tex-common (>= 0.34)
Suggests: gs-gpl | gs-esp | gs-afpl, gv | postscript-viewer, xpdf-reader | pdf-viewer, tetex-extra, texinfo, texi2html, dvipng, chktex | lacheck, rubber, sam2p, xbase-clients
Recommends: psutils, perl-tk, libxml-parser-perl
Description: The teTeX programs
 This is the compiled part of teTeX. This package contains all the
 programs belonging to teTeX, i.e. the TeX compiler itself, and
 variants for formats like e-TeX, pdfTeX, LaTeX, pdfLaTeX, etc.
 .
 It also contains auxiliary programs like bibtex, makeindex, dvips
 and xdvi, conversion tools and some tools for maintaining your teTeX
 system. Also included are man pages and info files about these
 programs.
 .
 Lambda, Omega, MetaPost, MetaFun and AmSTeX won't work without
 having tetex-extra installed.

Package: libkpathsea4
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tetex-bin (<< 2.0), jtex-bin (<< 1.9), multex-bin (<< 0.8), ptex-bin (<< 3.0.5), dvi2ps (<< 3.2j)
Description: path search library for teTeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libkpathsea4 (= ${Source-Version})
Conflicts: kpathsea-dev, tetex-dev, libkpathsea4-dev
Replaces: libkpathsea4-dev, kpathsea-dev, tetex-dev, tetex-bin ( <= 3.0-14)
Provides: libkpathsea4-dev
Description: path search library for teTeX (devel part)
 This package contains the static library and header files for the
 libkpathsea[rch] library.
