=== debian/watch ===
version=2
ftp://cam.ctan.org/pub/archive/systems/unix/teTeX/current/distrib/tetex-src-(.*).tar.gz
